package com.inspect.metadata.patrolpointmnt.mapper;

import com.inspect.metadata.patrolpointmnt.domain.BasedataPatrolPointPreset;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BasedataPatrolPointPresetMapper {
    BasedataPatrolPointPreset selectBasedataPatrolPointPresetByPatrolPointPresetId(Long presetId);

    List<BasedataPatrolPointPreset> selectBasedataPatrolPointPresetList(BasedataPatrolPointPreset preset);

    int insertBasedataPatrolPointPreset(BasedataPatrolPointPreset preset);

    int updateBasedataPatrolPointPreset(BasedataPatrolPointPreset preset);

    int deleteBasedataPatrolPointPresetByPatrolPointPresetId(Long presetId);

    int deleteBasedataPatrolPointPresetByPatrolPointPresetIds(Long[] presetIds);

    BasedataPatrolPointPreset selectBasedataPatrolPointPresetByPatrolPointId(Long patrolPointId);

    int deleteBySendCode(@Param("sendCode") String sendCode);

    List<BasedataPatrolPointPreset> selectBasedataPatrolPointPresetListByPointIds(@Param("patrolPointIds") List<Long> patrolPointIds);
}